package org.rcisoft.business.memFeedBack.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.rcisoft.business.memFeedBack.entity.MemFeedback;
import org.rcisoft.core.model.CyPersistModel;
import org.rcisoft.core.aop.CyPageUtilAsp;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
 * Created by cy on 2025年2月24日 下午5:16:32.
 */
public interface MemFeedbackService {

    /**
    * 保存 意见反馈
    * @param memFeedback
    * @return
    */
    CyPersistModel persist(MemFeedback memFeedback);

    /**
    * 删除 意见反馈
    * @param memFeedback
    * @return
    */
    CyPersistModel remove(MemFeedback memFeedback);

    /**
    * 逻辑删除 意见反馈
    * @param memFeedback
    * @return
    */
    CyPersistModel removeLogical(MemFeedback memFeedback);

    /**
    * 修改 意见反馈
    * @param memFeedback
    * @return
    */
    CyPersistModel merge(MemFeedback memFeedback);

    /**
    * 根据id查询 意见反馈
    * @param id
    * @return
    */
    MemFeedback findById(int id);

    /**
    * 分页查询 意见反馈
    * @param memFeedback
    * @return
    */
    IPage<MemFeedback> findAllByPagination(CyPageInfo<MemFeedback> paginationUtility,
              MemFeedback memFeedback);


    /**
    * 查询list 意见反馈
    * @param memFeedback
    * @return
    */
    List<MemFeedback> findAll(MemFeedback memFeedback);


    /**
    * 导出意见反馈
    * @return
    */
    List<MemFeedback> export(MemFeedback memFeedback);

}
